# README #

### What is this repository for? ###

This library contains a number of common helper methods, classes, directives, and filters for any AngularJS app.

### How do I get set up? ###

### Delivering Changes ###

While working on the library, it's best to be running gulp --env=local to view debug logs and ensure there are no syntax issues.

* Once work is done, a PR can be opened
* Once PR is merged into master, pull the new changes onto a local master branch
* Run "gulp --env=production" or simply "gulp"
* Run "npm version [patch|minor|major]"
* Run "npm publish" to push the changes to the npm repository
* Ensure necessary libraries either "npm update" for patches, or "npm install @cevo/angular-util --save" for minors and majors
* __*IMPORTANT*__ CEVO and Gfinity sites _do not_ depend on this directly, they depend on utils _through angular-cte_, so it is absolutely imperative that angular-cte's angular-util dependency gets updated appropriately.  You'll need to npm install @cevo/angular-util --save within angular-cte to update cte's package.json, and then npm version patch that change and publish cte to update the dependency.  Then, the local sites can npm install @cevo/angular-cte --save to properly update their dependency.  This applies equally to the new angular-gte package for Gfinity websites.
* Push site repositories that use the new code

Failure to follow these steps will potentially result in a failure on either dev or production, or both, to properly update to the new version.  It's important to note that on local repositories you are not building against the NPM repository, but the locally checked out code for this library.  You can test a production build by simply running "gulp" to see whether or not the code will work on production as-is, or whether it will fail.
